package xyz.veronie.bgg.ui.contributions;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.FocusEvent;
import org.eclipse.swt.events.FocusListener;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/// These are the controls to retrieve thing IDs for a given family ID
public class FamilySourceFilter {
	private static int familyId;

	public static void create(Composite parent, int style) {
        GridLayout filterLayout = new GridLayout(2, false);
        parent.setLayout(filterLayout);
        
        Label lblFamily = new Label(parent, SWT.LEFT);
        lblFamily.setText("Family ID: ");
        lblFamily.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false));
		        
        Combo cbFamilyId = new Combo(parent, SWT.DROP_DOWN);
        cbFamilyId.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false));
        cbFamilyId.addSelectionListener(new SelectionAdapter() {
            public void widgetDefaultSelected(SelectionEvent e) {
            	setFamilyId(Integer.getInteger(cbFamilyId.getText()));
            	System.out.println("set geeklist id to '" + getFamilyId() + "'");
            }
        });
        cbFamilyId.addFocusListener(new FocusListener() {
			
			@Override
			public void focusLost(FocusEvent e) {
				setFamilyId(Integer.getInteger(cbFamilyId.getText()));
            	System.out.println("set geeklist id to '" + getFamilyId() + "'");
			}
			
			@Override
			public void focusGained(FocusEvent e) {
				// nothing
			}
		});
        parent.layout();
	}

	public static int getFamilyId() {
		return familyId;
	}

	public static void setFamilyId(int familyId) {
		FamilySourceFilter.familyId = familyId;
	}
}
