package xyz.veronie.bgg.ui.contributions;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.FocusEvent;
import org.eclipse.swt.events.FocusListener;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

/// These are the controls to retrieve thing IDs for a given family ID
public class GeeklistSourceFilter {
	private static Integer geeklistId;
	
	public static void create(Composite parent, int style) {
        GridLayout filterLayout = new GridLayout(2, false);
        parent.setLayout(filterLayout);
        
        Label lblGeeklist = new Label(parent, SWT.LEFT);
        lblGeeklist.setText("Geeklist ID: ");
        lblGeeklist.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false));
		        
        Combo cbGeeklistId = new Combo(parent, SWT.DROP_DOWN);
        cbGeeklistId.setLayoutData(new GridData(SWT.FILL, SWT.FILL, false, false));
        cbGeeklistId.addSelectionListener(new SelectionAdapter() {
            public void widgetDefaultSelected(SelectionEvent e) {
            	setGeeklistId(Integer.getInteger(cbGeeklistId.getText()));
            	System.out.println("set geeklist id to '" + getGeeklistId() + "'");
            }
        });
        cbGeeklistId.addFocusListener(new FocusListener() {
			
			@Override
			public void focusLost(FocusEvent e) {
				setGeeklistId(Integer.getInteger(cbGeeklistId.getText()));
            	System.out.println("set geeklist id to '" + getGeeklistId() + "'");
			}
			
			@Override
			public void focusGained(FocusEvent e) {
				// nothing
			}
		});
        parent.layout();
	}

	public static Integer getGeeklistId() {
		return geeklistId;
	}

	public static void setGeeklistId(Integer geeklistId) {
		GeeklistSourceFilter.geeklistId = geeklistId;
	}
}
